<ion-header>
  <ion-toolbar class="fx-toolbar">
    <ion-buttons slot="start">
      <ion-back-button class="text-white" defaultHref="chapter"></ion-back-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>
  <section class="class-banner ion-padding">
    <ion-row class="ion-padding-top ion-margin-top">
      <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3">
        <ion-text class="title text-white">
          Units and Measurement
        </ion-text>
      </ion-col>
      <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3" class="ion-padding-bottom">
        <ion-text class="sub-title text-white">
          22 Items
        </ion-text>
      </ion-col>
    </ion-row>
  </section>
  <section class="ion-padding-start topic-section">
    <ion-row>
      <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3" class="ion-no-padding">
        <div class="scroll-overflow">
          <div class="scroll-topic" *ngFor="let topic of topics; let i = index" >
            <ion-card class="topicmenu-card" (click)="activateTopic(topic)" [ngClass]="{'active_card': topic.active === true}">
              <ion-row>
                <ion-col size="12">
                  <div class="tpoicmenu-image">
                    <img [src]="topic.image">
                  </div>
                </ion-col>
                <ion-col size="12">
                  <ion-text class="sub-title">
                    {{topic.title}}
                  </ion-text>
                </ion-col>
              </ion-row>
            </ion-card>
          </div>
        </div>
      </ion-col>
    </ion-row>
  </section>
  <section class="ion-padding">
    <ion-row>
      <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3" *ngFor="let content of contents; let i = index">
        <ion-card class="topic-card animated fadeInUp delay-1s">
          <ion-row>
            <ion-col size="2" class="vertical-align">
              <div class="topic-icon vertical-align">
                <ion-icon [name]="(content.isPurchased === true) ? 'play': 'lock'"></ion-icon>
              </div>
            </ion-col>
            <ion-col size="10" class="vertical-align ion-justify-content-start">
              <ion-text class="topic-title">{{content.title}}</ion-text>
            </ion-col>
          </ion-row>
        </ion-card>
      </ion-col>
    </ion-row>
  </section>
</ion-content>
